﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace JPK_VDEK
{
    /// <summary>
    /// Logika interakcji dla klasy JpkSap.xaml
    /// </summary>
    public partial class JpkSap : UserControl
    {
 
        public JpkSap()
        {
            InitializeComponent();
            foreach (var item in JpkData.getJpk().Cel.Cel)
            {
                cCel.Items.Add(item.Describe);
            }
            foreach (var item in JpkData.getJpk().Urz.Lista)
            {
                cUrz.Items.Add(item.Describe);
            }
            cUrz.SelectedIndex = 0;

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (JpkData.getJpk().wczytalemGL == true)
            {
                Mouse.OverrideCursor = System.Windows.Input.Cursors.Wait;
                string s = JpkData.getJpk().outScalony;
                int scel = cCel.SelectedIndex;
                int urz = cUrz.SelectedIndex;
                JpkData.getJpk().setCel(scel);
                JpkData.getJpk().setUrzad(urz);
                JPK jpk = JpkData.getBaseJpk();
                Mouse.OverrideCursor = null;
                jpk.SaveToFile(s);
                MessageBox.Show("Wygenerowano plik JPK", "JPK_VDEK");
            }
        }

        private void cCel_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            int scel = cCel.SelectedIndex;
            JpkData.getJpk().setCel(scel);

        }

        private void cUrz_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            int urz = cUrz.SelectedIndex;
            JpkData.getJpk().setUrzad(urz);
        }
    }
}
